tanatan.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Trigonometric
| Trigonometric propagators

## Macros

#define | I0__PI_2I FloatVal(0,pi_half_upper())
#define | POS(X)
#define | ATANINF_DOWN r.atan_down(aTanIv.min())
#define | ATANSUP_UP r.atan_up(aTanIv.max())
#define | I0__PI_2I FloatVal(0,pi_half_upper())
#define | I0__PI_2I FloatVal(0,pi_half_upper())

## Functions

template<class V>
void | Gecode::Float::Trigonometric::aTanProject (Rounding &r, const V &aTanIv, FloatNum &iv_min, FloatNum &iv_max, int &n_min, int &n_max)

## Macro Definition Documentation

## I0__PI_2I [1/3]

#define I0__PI_2I FloatVal(0,pi_half_upper())

## POS

#define POS | ( |  | X | ) |

Value:
((I0__PI_2I.in(X))?0:1)
I0__PI_2I
#define I0__PI_2I

## ATANINF_DOWN

#define ATANINF_DOWN r.atan_down(aTanIv.min())

## ATANSUP_UP

#define ATANSUP_UP r.atan_up(aTanIv.max())

## I0__PI_2I [2/3]

#define I0__PI_2I FloatVal(0,pi_half_upper())

## I0__PI_2I [3/3]

#define I0__PI_2I FloatVal(0,pi_half_upper())